<CsoundSynthesizer>
<CsInstruments>
; 2-channel normalize to full scale and save to shorts
;
; ma++ 02.14.02
;

nchnls = 2
instr 1

ipeak filepeak "-i"
print ipeak

if (ipeak == 0) then
	prints "WARNING: No peak data, cannot normalize!"
endif

iscale = (ipeak == 0 ? 1 : 0dbfs/ipeak)

aout1, aout2 ins 
outs iscale*aout1, iscale*aout2

endin



; this instrument handles terminating the score
; add this to all effects that do not change
; the length of the file.
instr 9

     ilen filelen "-i" ; get the length of the file in seconds

     ktime init 0
     ktime times

     if (ktime < ilen) kgoto skip
          event "e", 0, 0  ; terminate now!

skip:
     ; outvalue 111, times ; send out the time for a progress-bar

endin

</CsInstruments>
<CsScore>
i1 0 9999999 ; maximum length
i9 0 9999999 ; maximum length 
</CsScore>

</CsoundSynthesizer>
<MacOptions>
Version: 2
Render: File
Ask: Yes
Functions: Window
Options: -b128 -A -s -m7 -R 
</MacOptions>
<MacGUI>
ioView nobackground {65535, 65535, 65535}
</MacGUI>
